%define module fcdslusb2
%define version 3.11.07
%define card "AVM FRITZ!Card DSL USB v2.0"

Summary: dkms package for %{module} driver
Name: dkms-%{module}
Version: %{version}
Release: %mkrel 7
Source0: ftp://ftp.avm.de/cardware/fritzcrd.dsl_usb/linux/suse.93/fcdslusb-suse93-3.11-07.tar.bz2
Source1: dkms-fcdslusb2-use-autoconf-header.patch
Source2: dkms-fcdslusb2-dont-redefine-uintptr_t.patch
Source3: dkms-fcdslusb2-remove-usb_driver_owner.patch
Source4: dkms-fcdslusb2-remove-DECLARE_MUTEX_LOCKED.patch
Source5: dkms-fcdslusb2-update-INIT_WORK-changes.patch
Source6: dkms-fcdslusb2-update-usb_complete_t-functions.patch
Patch0: fritz-xchg.patch
License: Commercial
Group: System/Kernel and hardware
URL: http://www.avm.de/
Requires(post): dkms
Requires(preun): dkms
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch

%description
This package contains the %{module} driver for %{card}

%prep
%setup -n fritz/2/fritz/src -q
%patch0 -p2
# copy the lib in the source tree, do not use some obscure place like /var/lib/fritz
cp ../lib/*.o .
# do not try to copy the lib in LIBDIR
perl -pi -e 's!.*cp -f \.\./lib.*!!' Makefile
# fool Makefile by using a already existing LIBDIR
perl -pi -e 's!(LIBDIR.*):=.*!$1:= \$(SUBDIRS)!' Makefile
#- dkms pass KERNELRELEASE and confuse the Makefile, rely on KERNELVERSION instead
perl -pi -e 's!(ifneq.*)KERNELRELEASE!$1KERNELVERSION!' Makefile
#- build for kernel release dkms is asking for
perl -pi -e 's!shell uname -r!KERNELRELEASE!' Makefile

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/src/%module-%version-%release/patches
cat > $RPM_BUILD_ROOT/usr/src/%module-%version-%release/dkms.conf <<EOF
PACKAGE_NAME=%module
PACKAGE_VERSION=%version-%release

DEST_MODULE_LOCATION[0]=/kernel/drivers/isdn/capi
BUILT_MODULE_NAME[0]=%module
MAKE[0]="make"
CLEAN="make clean"
AUTOINSTALL="yes"
PATCH[0]="dkms-fcdslusb2-use-autoconf-header.patch"
PATCH_MATCH[0]="^2\.6\.(19)|([2-9][0-9]+)|([1-9][0-9][0-9]+)"
PATCH[1]="dkms-fcdslusb2-dont-redefine-uintptr_t.patch"
PATCH_MATCH[1]="^2\.6\.(2[4-9])|([3-9][0-9]+)|([1-9][0-9][0-9]+)"
PATCH[2]="dkms-fcdslusb2-remove-usb_driver_owner.patch"
PATCH_MATCH[2]="^2\.6\.(1[6-9])|([2-9][0-9]+)|([1-9][0-9][0-9]+)"
PATCH[3]="dkms-fcdslusb2-remove-DECLARE_MUTEX_LOCKED.patch"
PATCH_MATCH[3]="^2\.6\.(2[4-9])|([3-9][0-9]+)|([1-9][0-9][0-9]+)"
PATCH[4]="dkms-fcdslusb2-update-INIT_WORK-changes.patch"
PATCH_MATCH[4]="^2\.6\.([2-9][0-9]+)|([1-9][0-9][0-9]+)"
PATCH[5]="dkms-fcdslusb2-update-usb_complete_t-functions.patch"
PATCH_MATCH[5]="^2\.6\.(19)|([2-9][0-9]+)|([1-9][0-9][0-9]+)"
EOF

cp -LR . $RPM_BUILD_ROOT/usr/src/%module-%version-%release/

for p in %{_sourcedir}/dkms-fcdslusb2-use-autoconf-header.patch \
         %{_sourcedir}/dkms-fcdslusb2-dont-redefine-uintptr_t.patch \
         %{_sourcedir}/dkms-fcdslusb2-remove-usb_driver_owner.patch \
         %{_sourcedir}/dkms-fcdslusb2-remove-DECLARE_MUTEX_LOCKED.patch \
         %{_sourcedir}/dkms-fcdslusb2-update-INIT_WORK-changes.patch \
         %{_sourcedir}/dkms-fcdslusb2-update-usb_complete_t-functions.patch;
do
	cp $p $RPM_BUILD_ROOT/usr/src/%module-%version-%release/patches
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
/usr/src/%module-%version-%release/

%post
/usr/sbin/dkms --rpm_safe_upgrade add -m %module -v %version-%release
/usr/sbin/dkms --rpm_safe_upgrade build -m %module -v %version-%release
/usr/sbin/dkms --rpm_safe_upgrade install -m %module -v %version-%release
exit 0

%preun
/usr/sbin/dkms --rpm_safe_upgrade remove -m %module -v %version-%release --all
exit 0



%changelog
* Wed Jan 09 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 3.11.07-7mdv2008.1
+ Revision: 146999
- Patch dkms-fcdslslusb-remove-usb_driver_owner.patch should be applied
  to Linux 2.6.16 onwards, not 2.6.14.

* Mon Jan 07 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 3.11.07-6mdv2008.1
+ Revision: 146202
- Fix build/warnings with kernels up to 2.6.24, adding the following
  patches:
  dkms-fcdslusb2-dont-redefine-uintptr_t.patch
  dkms-fcdslusb2-remove-usb_driver_owner.patch
  dkms-fcdslusb2-update-usb_complete_t-functions.patch
  dkms-fcdslusb2-update-INIT_WORK-changes.patch
  dkms-fcdslusb2-remove-DECLARE_MUTEX_LOCKED.patch
  dkms-fcdslusb2-use-autoconf-header.patch
- Don't use patch backup that ends up with the package released files.
- Fixed package file permissions.
- Allow safe updates: use package release, always exit with successful
  status.
- We don't need to be verbose in scriptlets (removed set -x invocation).

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 02 2007 Olivier Blin <oblin@mandriva.com> 3.11.07-5mdv2008.0
+ Revision: 94624
- use Requires(post|preun) instead of PreReq
- update to new version

* Thu Jun 21 2007 Olivier Blin <oblin@mandriva.com> 3.11.07-3mdv2008.0
+ Revision: 42308
- fix rpm group (thanks Titi)


* Fri Mar 30 2007 Olivier Blin <oblin@mandriva.com> 3.11.07-2mdv2007.1
+ Revision: 149926
- buildarch noarch
- fix build with 2.6.17 by removing merged atomic_xchg
- use our own make clean not to erase static libraries
- rely on KERNELVERSION instead of EXTRAVERSION which is not exported anymore
- Import dkms-fcdslusb2

* Thu Sep 09 2004 Olivier Blin <oblin@mandriva.com> 3.11.07-1mdk
- initial Mandrake release

